import django.contrib.auth.views
from django.conf import settings
from django.conf.urls import url, include
from reportserver.core.views import (main,
                                     user,
                                     targetsystem)
from reportserver.core.views.export import dates2export, rawexport, rawteexport
from reportserver.core.views.report import esfreport
from reportserver.core.views.report import fesreport

patterns_participations = [
    url(r'^export$', rawexport.raw_export, name="raw_export"),
]


patterns_participants = [
    url(r'^export$', rawteexport.raw_te_export, name="raw_te_export"),
]

patterns_target = [
    url(r'^main$', targetsystem.overview, name="overview"),
    url(r'^detail/(?P<organisation_id>\d+)/(?P<year>\d+)/',
        targetsystem.detailed, name="detail"),
]

patterns_dates2 = [
    url(r'^export$', dates2export.export_dates2, name="export"),
    url(r'^overview$', dates2export.overview, name="overview"),
]


urlpatterns2 = [
    url(r'^login/$',
        user.login,
        name='login'),
    url(r'^logout/$',
        user.logout,
        name='logout'),
    url(r'^password_change/$',
        django.contrib.auth.views.password_change,
        {'template_name': 'users/password_change.html'},
        name='password_change'),
    url(r'^password_change/done/$',
        django.contrib.auth.views.password_change_done,
        {'template_name': 'users/password_change_done.html'},
        name='password_change_done'),
    url(r'^participations/', include(patterns_participations,
        namespace="participations")),
    url(r'participants/', include(patterns_participants,
        namespace="participants")),
    url(r'target/', include(patterns_target, namespace="target")),
    url(r'dates2/', include(patterns_dates2, namespace="dates2")),
    url(r'^esfreport$', esfreport.overview, name="esfoverview"),
    url(r'^fesreport$', fesreport.overview, name="fesoverview"),
    url(r'^fesreport_download$', fesreport.download,
        name="fesreport_download"),
    url(r'^rawexport$', rawexport.overview, name="rawexport"),
    url(r'^rawteexport$', rawteexport.overview, name="rawteexport"),
    url(r'^virtualparticipations/report$', esfreport.report, name="esfreport"),
    url(r'^virtualparticipations/report/export$', esfreport.export_report,
        name="esfexport"),
    url(r'^overview$', main.overview, name="overview"),
    url(r'^$', main.entry, name="entry"),
]

urlpatterns = [
    url(r'^' + settings.SUB_SITE, include(urlpatterns2))
]
